package cz.moneta.test.dsl.mwf.createclientcomoda;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFQ35 extends MwfRequest<MWFQ35, MWFQ35Response> {

    @Parameter(name = "Business")
    MWFQ35 business(String business);
    @Parameter(name = "CIF")
    MWFQ35 cif(String cif);
    @Parameter(name = "DuvodDotazuDoODS")
    MWFQ35 duvodDotazuDoODS(String duvodDotazuDoODS);
    @Parameter(name = "IDOsoba")
    MWFQ35 iDOsoba(Long iDOsoba);
    @Parameter(name = "PriznakBankovnihoTajemstvi")
    MWFQ35 priznakBankovnihoTajemstvi(String priznakBankovnihoTajemstvi);
    @Parameter(name = "UNIPT_KEY")
    MWFQ35 uniptKey(Long uniptKey);
}